N'ayant pas trouvé en lisant la doc, je me tente quand même la question, qui peut devenir une suggestion 
pour une prochaine version.
J'aimerais autoriser plusieurs jeux de croix dans les environnements question ou questionmult ou 
questionmultx. Le but serait d'accorder tous les points avec des jeux de réponses différents.

Exemple de question simple : 

Cochez un nombre premier et un seul dans la liste :
a- 5
b- 7
c- 9

Les réponses a ou b sont toutes les deux correctes, donc deux jeux de croix possibles.

Exemple de questionmult :

Cochez deux nombres premiers dans la liste :
a- 5
b- 7
c- 9
d- 11

Les réponses (a,b) ou (a,d) ou (b,d) sont correctes, donc trois jeux de croix possibles.

Exemple de questionmultx :

Cochez 5 pays membres de l'union européenne sur la carte de l'europe.
Il faut imaginer une carte de l'Europe avec une case à cocher par pays.
Bon c'est un peu extrême, ça fait beaucoup de jeux de solutions possibles...

Je n'ai pas vu de fonctionnalité s'en rapprochant dans la documentation de la version 1.7
Est-ce envisageable par un hack quelconque dans la version actuelle, ou dans une prochaine version ?

Merci

History
05/16/2025 06:41 pm - Alexis Bienvenüe
- Status changed from New to Feedback

> Cochez deux nombres premiers dans la liste :
> a- 5
> b- 7
> c- 9
> d- 11

06/02/2025 1/3



On peut bricoler avec @formula@:
<pre>
\begin{questionmult}{premiers}\bareme{default.PA=0,default.PB=0,default.PC=0,default.XX=0,formula=(XX>0?0:PA+PB+PC==2?2:0)}\AMCdontAnnota
te
  Cochez deux nombres premiers dans la liste~:
  \begin{reponses}
    \bonne{5}\bareme{set.PA=1}
    \bonne{7}\bareme{set.PB=1}
    \mauvaise{9}\bareme{set.XX=1}
    \bonne{11}\bareme{set.PC=1}
  \end{reponses}
\end{questionmult}
</pre>

05/17/2025 10:28 am - Wihl Elm
Ah oui, c'est vrai que j'aurais pu/dû penser à @formula@ qui est justement prévu pour ce genre de bricolage...
Bon, on ne pénalisera quand même pas l'élève qui aura coché les trois solutions :-)
@formula=(XX>0?0:PA+PB+PC>=2?2:0)@
Merci!

05/17/2025 02:10 pm - Frédéric Bréal
Je propose une autre solution avec formula.
<pre>
\bgroup% équivalent à {

\def\AMCbeginQuestion##1##2{\par\noindent \textbf{Question ##1} }%j'enlève le multisymbole pour donner l'illusion 
% à l'élève d'une question simple.

\begin{questionmult}{premiers-a}\AMCnoCompleteMulti%pour enlever la phrase « Aucune réponse … »
%\bareme{formula=(NMC != 0 || NBC != 1 ? 0 : 1)}% barème strict 1 et 1 seule réponse pour avoir 1 point
\bareme{formula=(NMC != 0 ? 0 : 1),v=0}% barème plus cool, v=0 inutile c'est la valeur par défaut
Cochez un nombre premier dans la liste~:
\begin{reponses}
\bonne{5}
\bonne{7}
\mauvaise{9}
\bonne{11}
\end{reponses}
\end{questionmult}

\egroup% équivalent à }

\begin{questionmult}{premiers-b}\AMCnoCompleteMulti
%\bareme{formula=(NMC != 0 || NBC != 2 ? 0 : 2)}% barème strict 2 et uniquement 2 bonnes réponses pour avoir 2 points
%\bareme{formula=(NMC != 0  ? 0 : NBC >=2 ? 2 : 0)}% barème plus cool mais il  faut au moins 2 bonnes réponses
\bareme{formula=(NMC == 0 &&  NBC >= 2 ? 2 : 0)}% le même barème mais écrit différemment
Cochez deux nombres premiers dans la liste~:
\begin{reponses}
\bonne{5}
\bonne{7}
\mauvaise{9}
\bonne{11}
\end{reponses}
\end{questionmult}
</pre>

05/19/2025 10:38 am - Wihl Elm
En effet, j'avais aussi oublié l'existence de ces variables N, NB, NBC, NM, NMC, IS, IMULT qui sont parfaites dans ce cas (et qui gardent à \bonne et 
\mauvaise tout leur sens...)
Merci (bis)

06/01/2025 11:05 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
